Groovy Documentation

## groovy.lang
[Java] Interface GroovyInterceptable

    groovy.lang.GroovyInterceptable
      groovy.lang.GroovyObject

All Superinterfaces:
  GroovyObject

    public interface GroovyInterceptable
    extends GroovyObject

Marker interface used to notify that all methods should be intercepted through the `invokeMethod` mechanism of `GroovyObject`.

Authors:
  Guillaume Laforge

Method Summary

Methods inherited from interface GroovyObject
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Groovy Documentation